using System;
using System.Threading.Tasks;

internal sealed class Delegate314 : MulticastDelegate
{
	public extern Task Invoke(object object_0, Action<Task> action_0);

	public static Task smethod_0(object object_0, Action<Task> action_0, Delegate314 delegate314_1)
	{
		return delegate314_1(object_0, action_0);
	}

	public extern Delegate314(object object_0, IntPtr intptr_0);

	static Delegate314()
	{
		Class10.smethod_13(typeof(Delegate314).TypeHandle);
	}

	internal static Delegate314 delegate314_0;
}
